Subject: [bug#56880] [PATCH] gnu: system: file-systems: Add shared flag.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 05 Aug 2022 11:41:38 +0200

Hi,

Oleg Pykhalov <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
> […]
>
>>> (option-string->mount-flags): Handle shared flag.
>
> I looked again on this procedure before merge.  With applied patch it
> will return a wrong bitmask according to the manual page:
>
> mount(2)
>
>     The  only other flags that can be specified while changing the propaga‐
>     tion type are MS_REC (described below)  and  MS_SILENT  (which  is  ig‐
>     nored).
>
> Also I tried to invoke 'mount' from C code, if MS_SHARED specified and
> mountpoint does not exist (not mounted without MS_SHARED before), then
> nothing will happen.

Hmm not sure I follow.

> The procedure is out of the scope adding a shared flag support to
> file-system record.  I see two variants:
>
> 1. Remove the modification from option-string->mount-flags and merge,
> someone will add when required.
>
> 2. Modify option-string->mount-flags in such way, that it will return
> multiple bitmasks or in some other way.

I understand option #1 and it sounds reasonable to me.

I’m not sure what option #2 means concretely?

Thanks,
Ludo’.